Bug 525488 - Kernel trace on btrfs volume balancing
Summary: Kernel trace on btrfs volume balancing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 15:00 UTC by Pavel Alexeev
Modified: 2009-11-04 23:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 23:27:24 UTC


Attachments (Terms of Use)

Description Pavel Alexeev 2009-09-24 15:00:56 UTC
# btrfs-vol -b /mnt/Media

Sep 24 18:42:11 x-www kernel: ------------[ cut here ]------------
Sep 24 18:42:11 x-www kernel: kernel BUG at fs/btrfs/extent-tree.c:2930!
Sep 24 18:42:11 x-www kernel: invalid opcode: 0000 [#1] SMP 
Sep 24 18:42:11 x-www kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:11.5/resource
Sep 24 18:42:11 x-www kernel: Modules linked in: tun ipv6 ipt_MASQUERADE iptable_nat nf_nat ipt_LOG xt_limit btrfs zlib_deflate libcrc32c vboxnetadp vboxnetflt vboxdrv snd_cs4236 snd_via82xx snd_ac97_codec snd_wss_lib snd_opl3_lib i2c_viapro snd_hwdep ac97_bus i2c_core snd_pcm snd_timer 8139too ppdev 8139cp snd_page_alloc snd_mpu401 snd_mpu401_uart snd_rawmidi ne2k_pci parport_pc snd_seq_device ns558 via_ircc irda floppy parport gameport snd soundcore 8390 usb_storage mii crc_ccitt sata_sil usblp pcspkr ata_generic pata_acpi pata_via [last unloaded: scsi_wait_scan]
Sep 24 18:42:11 x-www kernel:
Sep 24 18:42:11 x-www kernel: Pid: 4347, comm: pdflush Not tainted (2.6.30.5-43.fc11.i586 #1) KT400-8235
Sep 24 18:42:11 x-www kernel: EIP: 0060:[<f811c170>] EFLAGS: 00010257 CPU: 0
Sep 24 18:42:11 x-www kernel: EIP is at __btrfs_reserve_extent+0x2e4/0x2f2 [btrfs]
Sep 24 18:42:11 x-www kernel: EAX: c989ce5c EBX: c989cdcc ECX: ffffffff EDX: 00000001
Sep 24 18:42:11 x-www kernel: ESI: c989ce5c EDI: c989ce50 EBP: dd7b7c1c ESP: dd7b7be0
Sep 24 18:42:11 x-www kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Sep 24 18:42:11 x-www kernel: Process pdflush (pid: 4347, ti=dd7b6000 task=f486cce0 task.ti=dd7b6000)
Sep 24 18:42:11 x-www kernel: Stack:
Sep 24 18:42:11 x-www kernel: dd7b7c08 00000000 00000000 00000014 00000000 00000000 00001000 00000000
Sep 24 18:42:11 x-www kernel: dd7b7c20 f5b46000 f52a0030 00001000 e4620000 dd7b7cdf e4620000 dd7b7c64
Sep 24 18:42:11 x-www kernel: f811c2f1 00001000 00000000 00001000 00000000 00000000 00000000 a7800000
Sep 24 18:42:11 x-www kernel: Call Trace:
Sep 24 18:42:11 x-www kernel: [<f811c2f1>] ? btrfs_reserve_extent+0x3a/0x5d [btrfs]
Sep 24 18:42:11 x-www kernel: [<f812c76b>] ? cow_file_range+0x233/0x3f1 [btrfs]
Sep 24 18:42:11 x-www kernel: [<f812d00f>] ? run_delalloc_range+0x96/0x31e [btrfs]
Sep 24 18:42:11 x-www kernel: [<f8140bdc>] ? __extent_writepage+0x1ee/0x7ba [btrfs]
Sep 24 18:42:11 x-www kernel: [<c056d4f3>] ? __lookup_tag+0x89/0xe3
Sep 24 18:42:11 x-www kernel: [<c056d5bc>] ? radix_tree_gang_lookup_tag_slot+0x6f/0x8e
Sep 24 18:42:11 x-www kernel: [<f81414ca>] ? extent_write_cache_pages.clone.0+0x104/0x1e7 [btrfs]
Sep 24 18:42:11 x-www kernel: [<f81416a9>] ? extent_writepages+0x3f/0x52 [btrfs]
Sep 24 18:42:11 x-www kernel: [<f812afe1>] ? btrfs_get_extent+0x0/0x8c0 [btrfs]
Sep 24 18:42:11 x-www kernel: [<f812aeca>] ? btrfs_writepages+0x20/0x25 [btrfs]
Sep 24 18:42:11 x-www kernel: [<c0489f87>] ? do_writepages+0x25/0x39
Sep 24 18:42:11 x-www kernel: [<c04c2b5e>] ? __writeback_single_inode+0x131/0x236
Sep 24 18:42:11 x-www kernel: [<c048a28c>] ? determine_dirtyable_memory+0x19/0x9c
Sep 24 18:42:11 x-www kernel: [<f81242ab>] ? btrfs_congested_fn+0x26/0x66 [btrfs]
Sep 24 18:42:11 x-www kernel: [<c04c2fda>] ? generic_sync_sb_inodes+0x207/0x314
Sep 24 18:42:11 x-www kernel: [<c04c328d>] ? writeback_inodes+0x7e/0xbe
Sep 24 18:42:11 x-www kernel: [<c048a6b2>] ? background_writeout+0x81/0xad
Sep 24 18:42:11 x-www kernel: [<c048adf0>] ? pdflush+0x11a/0x1ef
Sep 24 18:42:11 x-www kernel: [<c048a631>] ? background_writeout+0x0/0xad
Sep 24 18:42:11 x-www kernel: [<c048acd6>] ? pdflush+0x0/0x1ef
Sep 24 18:42:11 x-www kernel: [<c0440e81>] ? kthread+0x4b/0x6f
Sep 24 18:42:11 x-www kernel: [<c0440e36>] ? kthread+0x0/0x6f
Sep 24 18:42:11 x-www kernel: [<c04040a7>] ? kernel_thread_helper+0x7/0x10
Sep 24 18:42:11 x-www kernel: Code: 3e fe 43 2c 8b 9b 84 00 00 00 81 eb 84 00 00 00 8b 83 84 00 00 00 0f 18 00 90 8d 83 84 00 00 00 39 c7 75 9d 89 f0 e8 17 82 32 c8 <0f> 0b eb fe 8d 65 f4 31 c0 5b 5e 5f 5d c3 55 89 e5 57 56 53 0f 
Sep 24 18:42:11 x-www kernel: EIP: [<f811c170>] __btrfs_reserve_extent+0x2e4/0x2f2 [btrfs] SS:ESP 0068:dd7b7be0
Sep 24 18:42:11 x-www kernel: ---[ end trace 862503a455813185 ]---


Version-Release number of selected component (if applicable):
$ rpm -q kernel btrfs-progs
kernel-2.6.30.5-43.fc11.i586
btrfs-progs-0.18-4.fc11.i586

How reproducible:
Always

Comment 1 Chuck Ebbert 2009-09-25 03:27:39 UTC
btrfs is very buggy in 2.6.30 and I don't expect that any fixes will be backported.


Note You need to log in before you can comment on or make changes to this bug.